马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。
您需要 登录 才可以下载或查看,没有账号?立即注册
×
代码已经写好了。但是出现问题了。用天正文字命令生成的文字
,如“时CRC的低位”,是中英文分开的。下面的程序写到剪贴板的是“CRC时的低位”。请高手找找原因。
- [FONT=courier new]
- AppActivate "autocad 2002"
- On Error Resume Next
- Dim Sstext As AcadSelectionSet
- Dim FilterType(0) As Integer
- Dim FilterData(0) As Variant
- Dim TxtObj As AcadText
- Dim Tstr As String
-
- Set Sstext = AcadApp.ActiveDocument.SelectionSets.Add("ST")
- FilterType(0) = 0
- FilterData(0) = "Text"
- Sstext.SelectOnScreen FilterType, FilterData
- Form1.Show
-
- If Sstext.Count = 0 Then
- Form1.Show
- MsgBox "你没有选择文字,程序中止!", vbOKOnly, "文字:"
- AcadApp.ActiveDocument.SelectionSets.Item("ST").Delete
- Exit Sub
- End If
-
- For Each TxtObj In Sstext
- Tstr = TxtObj.textString & Tstr
- Next
- Clipboard.Clear ' 清除剪贴板。
- Clipboard.SetText Tstr ' 将文字放置在剪贴板上
- AcadApp.ActiveDocument.SelectionSets.Item("ST").Delete
- Form1.Show
- [/FONT]
|